package progWeb.controller;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.Map;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import model.Character;
import model.Universe;

@Controller
public class MyController {

	@RequestMapping(value = "/helloWorld", method = RequestMethod.GET)
	public void myFirstEndPoint(HttpServletRequest request, HttpServletResponse response)
			throws UnsupportedEncodingException, IOException {
		System.out.println("Hello Console");
		response.getOutputStream().write("hello".getBytes("UTF-8"));
	}

	@RequestMapping(value = "/helloWorld", method = RequestMethod.POST)
	public void myPostEndPoint(HttpServletRequest request, HttpServletResponse response)
			throws UnsupportedEncodingException, IOException {
		// TODO Question 1
	}

	@RequestMapping(value = "/helloWorldRedirect", method = RequestMethod.POST)
	public void redirectToHello(HttpServletRequest request, HttpServletResponse response)
			throws UnsupportedEncodingException, IOException {
		response.sendRedirect("/helloWorld");
	}

	@RequestMapping(value = "/param", method = RequestMethod.GET)
	public void showParamFromGet(HttpServletRequest request, HttpServletResponse response)
			throws UnsupportedEncodingException, IOException {
		Map<String, String[]> param = request.getParameterMap();
		for (Object key : param.keySet()) {
			System.out.println("" + key + " : " + param.get(key)[0]);
		}
	}

	@RequestMapping(value = "/param", method = RequestMethod.POST)
	public void showParamFromPost(HttpServletRequest request, HttpServletResponse response)
			throws UnsupportedEncodingException, IOException {
		//TODO
	}

	@RequestMapping(value = "/character", method = RequestMethod.POST)
	public void choiceCharacter(HttpServletRequest request, HttpServletResponse response) {
		//TODO
	}

	@RequestMapping(value = "/character", method = RequestMethod.GET)
	public void showCharacter(HttpServletRequest request, HttpServletResponse response)
			throws UnsupportedEncodingException, IOException {
		//TODO

	}

	@RequestMapping(value = "/takeDammage", method = RequestMethod.GET)
	public void takeDammage(HttpServletRequest request, HttpServletResponse response)
			throws UnsupportedEncodingException, IOException {
		//TODO

	}

}
